Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ECG_Adapters.h File Reference

`#include "orbsvcs/RtecUDPAdminC.h"`
`#include "ace/Refcounted_Auto_Ptr.h"`

Include dependency graph for ECG_Adapters.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_ECG_Dgram_Handler
| Interface used by mcast/udp handlers to notify interested components (usually Event Receivers) that there is data available on the dgram for reading, and to query them about event type to mcast group mappings. More...
class | TAO_ECG_Handler_Shutdown
| Interface that should be implemented by multicast and udp handlers in EC gateways, so the handlers can be notified of shutdown (usually by Event Receivers). More...
## Typedefs
typedef ACE_Refcounted_Auto_Ptr< TAO_ECG_Handler_Shutdown, ACE_Null_Mutex > | TAO_ECG_Refcounted_Handler

## Detailed Description

Id:
  ECG_Adapters.h,v 1.3 2003/07/25 14:07:38 jwillemsen Exp

Author:
  Marina Spivak <marina@atdesk.com>

Define interfaces ECG Receivers and Mcast and UDP handlers can use to communicate with each other. Use of these interfaces eliminates the coupling of specific Receivers on specific handlers, and vice versa.

## Typedef Documentation

typedef ACE_Refcounted_Auto_Ptr<TAO_ECG_Handler_Shutdown, ACE_Null_Mutex> TAO_ECG_Refcounted_Handler